#pragma once

#include <common.h>

typedef struct {
    bool paused;
    bool running;
    bool die;
    u64 ticks;
    const char *app_path;
    bool fast_forward;
    bool debug;
    u8 step;
} emu_context;

int emu_run(int, char**);
emu_context *emu_get_context();

void emu_cycles(int cpu_cycles);
void emu_reset();
void emu_stop();
void emu_start();